/*
Copyright (C) 2014 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
univ2Id = null
univ2Tr = null
univ2Cal = null
univ2DJigen = 0
univ2DSeatNo = 1
univ2DHyouka = 2
univ2DBikou = 3
univ2DKoumokuNo = 4
univ2DStart = 5
univ2D = [1, "01", "000", "", "0000", "0900"]
univ2RegResult = ""
univ2Sep = "-"

function univ2OnLoad() {
  if(univ2Init() == false) return
  univ2Top()
}

function univ2OnUnload() {
}

function univ2Init() {
  univ2Id = document.getElementById("univ2")
  var id1 = mente2Init("demo-mente2-")
  id1 = "1"
  if(id1 == ""){
    var s = "<pre>桼IDǤޤǤ\n"
    s += "˼¹ԤƲ\n"
    s += "Ǥޤ</pre>"
    univ2Id.innerHTML = s
    return false
  }    
  univ2Tr = new Transaction("demo-tr-" + id1 + "-") 
  univ2Cal = new Calendar()
  return true    
}

function univ2Top() {
  var s = "<pre>"
  s += "<span id=\"result\">" + univ2RegResult + "</span>\n"
  s += "<span id=\"input\">" + univ2InputResult() + "</span>\n"
  s += "<hr>" + univ2BikouView()
  s += "<hr>" + univ2ButtonView(univ2DHyouka)
  s += "<button onClick=\"univ2HyoukaClear()\">0</button> \n"
  s += "<hr>" + univ2ButtonView(univ2DKoumokuNo)
  s += "<button onClick=\"univ2KoumokuNoClear()\">0</button> \n"
  s += "<hr><span id=\"inputc\">" + univ2InputResult() + "</span>\n"
  s += "<hr>" + univ2ButtonView(univ2DSeatNo) + " \n"
  s += "<hr>" + univ2ButtonView(univ2DJigen) + "  "
  s += " <button onClick=\"univ2Start()\"></button>"
  s += "<button onClick=\"mente2Top()\">ݼ</button>"
  s += "</pre>"
  univ2Id.innerHTML = s
}

function univ2HyoukaClear() {
  univ2D[univ2DHyouka] = "000"
  univ2InputResultUpdate()
}

function univ2KoumokuNoClear() {
  univ2D[univ2DKoumokuNo] = "0000"
  univ2InputResultUpdate()
}


function univ2Reg() {
  var s = document.getElementById("input").textContent
  univ2Cal.now()
  univ2Tr.set(univ2Cal.dataStr() + univ2Sep + s)
  document.getElementById("result").textContent = s + " " + univ2Cal.timeStr1()
}

function univ2InputResultUpdate() {
  document.getElementById("input").textContent = univ2InputResult()
  document.getElementById("inputc").textContent = document.getElementById("input").textContent
}

function univ2Start() {
  univ2Cal.now()
  univ2D[univ2DStart] = univ2Cal.timeStr2()
  univ2InputResultUpdate()
}

function univ2InputResult() {
  var s = "" + univ2D[univ2DJigen] + univ2Sep + univ2D[univ2DSeatNo]
  s += univ2Sep + univ2D[univ2DStart] + univ2Sep + univ2D[univ2DKoumokuNo]
  s += univ2Sep + univ2D[univ2DHyouka] + univ2Sep + univ2D[univ2DBikou].replace(/\n/g, " ")
  return s
}

function univ2BikouView() {
  var s = "<textarea id=\"bikou\" wrap=\"off\" rows=\"2\" cols=\"40\">" + univ2D[univ2DBikou] + "</textarea>\n"
  s += "<button onClick=\"univ2Reg()\">Ͽ</button>"
  s += "<button onClick=\"univ2BikouSet(9)\"></button>"
  s += "<button onClick=\"univ2BikouSet(0)\"></button>"
  s += "<button onClick=\"univ2BikouSet(1)\"></button>"
  s += "<button onClick=\"univ2BikouSet(2)\"></button>"
  s += "<button onClick=\"univ2BikouSet(8)\">õ</button>"
  return s
}

function univ2BikouSet(num) {
  var s = univ2D[univ2DBikou]
  switch(num){
  case 0: s = " " + s; break
  case 1: s = " " + s; break
  case 2: s = " " + s; break
  case 8: s = ""; break
  case 9: s = document.getElementById("bikou").value; break
  }
  univ2D[univ2DBikou] = s
  document.getElementById("bikou").value = univ2D[univ2DBikou]
  univ2InputResultUpdate()
}

function univ2ButtonView(id) {
  var s = "", i
  switch(id){
  case univ2DJigen:
    for(i = 1; i < 5; i++)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    break
  case univ2DSeatNo:
    s += "<button onClick=\"univ2ButtonSet(" + id + ",-1)\">+</button>"
    for(i = 1; i < 6; i++)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    s += "\n"
    s += "<button onClick=\"univ2ButtonSet(" + id + ",-2)\">-</button>"
    for(i = 6; i < 10; i++)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    s += "<button onClick=\"univ2ButtonSet(" + id + ",0)\">0</button>"
    break
  case univ2DHyouka:
    for(i = 5; i < 10; i++)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    s += "\n"
    for(i = 4; i >= 0; i--)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    break
  case univ2DKoumokuNo:
    for(i = 5; i < 10; i++)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    s += "\n"
    for(i = 4; i >= 0; i--)
      s += "<button onClick=\"univ2ButtonSet(" + id + "," + i + ")\">" + i + "</button>"
    break
  }
  return s
}

function univ2ButtonSet(id, num) {
  var v = univ2D[id], t
  switch(id){
  case univ2DJigen:
    v = num
    break
  case univ2DSeatNo:
    switch(num){
    case -1:
      t = parseInt(v)
      t++
      if(t > 99) t = 99
      v = ""
      if(t < 10) v += "0"
      v += t
      break
    case -2:
      t = parseInt(v)
      t--
      if(t < 1) t = 1
      v = ""
      if(t < 10) v += "0"
      v += t
      break
    default:
      v = v.substr(1, 1) + num
      break
    }
    break
  case univ2DHyouka:
    v = v.substr(1, 2) + num
    break
  case univ2DKoumokuNo:
    v = v.substr(1, 3) + num
    break
  }
  univ2D[id] = v
  univ2InputResultUpdate()
}
